# Generated by Django 2.2.17 on 2021-01-22 09:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_energiepartagee', '0014_auto_20210121_1750'),
    ]

    operations = [
        migrations.CreateModel(
            name='Interventionzone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=250, null=True, verbose_name="Zone d'intervention")),
            ],
            options={
                'rdf_type': 'energiepartagee:mymodel',
                'anonymous_perms': [],
                'authenticated_perms': ['view', 'add', 'change'],
            },
        ),
        migrations.RemoveField(
            model_name='actor',
            name='admincomment',
        ),
        migrations.AddField(
            model_name='integrationstep',
            name='admincomment',
            field=models.TextField(blank=True, null=True, verbose_name="Commentaires de l'administrateur"),
        ),
        migrations.AlterField(
            model_name='actor',
            name='actortype',
            field=models.CharField(blank=True, choices=[('soc_citoy', 'Sociétés Citoyennes'), ('collectivite', 'Collectivités'), ('structure', 'Structures d’Accompagnement'), ('partenaire', 'Partenaires')], default='partenaire', max_length=50, null=True, verbose_name="Type d'acteur"),
        ),
        migrations.AlterField(
            model_name='actor',
            name='address',
            field=models.CharField(blank=True, max_length=250, null=True, verbose_name='Adresse'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='adhesiondate',
            field=models.DateField(blank=True, null=True, verbose_name='Adhérent depuis'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='adhmail',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='Mail pour compte espace ADH'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='category',
            field=models.CharField(blank=True, choices=[('collectivite', 'Collectivités'), ('porteur_dev', 'Porteurs de projet en développement'), ('porteur_exploit', 'Porteurs de projet en exploitation'), ('partenaire', 'Partenaires')], default='partenaire', max_length=50, null=True, verbose_name='Catégorie de cotisant'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='legalrepresentant',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actor_requests_created', to=settings.AUTH_USER_MODEL, verbose_name='Représentant légal'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='longname',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name="Nom long de l'acteur"),
        ),
        migrations.AlterField(
            model_name='actor',
            name='mail',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='Adresse mail'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='managementcontact',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Contact Gestion'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='presentation',
            field=models.ForeignKey(blank=True, max_length=300, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Interventionzone', verbose_name='Présentation/objet de la structure'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='region',
            field=models.ForeignKey(blank=True, max_length=50, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Region', verbose_name='Région'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='shortname',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name="Nom court de l'acteur"),
        ),
        migrations.AlterField(
            model_name='actor',
            name='signataire',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Signataire de la charte EP'),
        ),
        migrations.AlterField(
            model_name='actor',
            name='status',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Adhérent'),
        ),
        migrations.AlterField(
            model_name='college',
            name='name',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='collège'),
        ),
        migrations.AlterField(
            model_name='college',
            name='stucturecollege',
            field=models.ForeignKey(blank=True, max_length=50, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Structcollege', verbose_name='Structure qui porte le collège'),
        ),
        migrations.AlterField(
            model_name='contribution',
            name='actor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='contributions', to='djangoldp_energiepartagee.Actor', verbose_name='Acteur'),
        ),
        migrations.AlterField(
            model_name='contribution',
            name='amount',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='Montant à payer'),
        ),
        migrations.AlterField(
            model_name='contribution',
            name='contributionstatus',
            field=models.CharField(blank=True, choices=[('appel_a_envoye', 'Appel à envoyer'), ('appel_ok', 'Appel envoyé'), ('relance', 'Relancé'), ('a_ventiler', 'A ventiler'), ('valide', 'Validé')], default='appel_a_envoye', max_length=50, null=True, verbose_name='Etat de la cotisation'),
        ),
        migrations.AlterField(
            model_name='contribution',
            name='nonrenewed',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Cotisation non renouvelée'),
        ),
        migrations.AlterField(
            model_name='contribution',
            name='year',
            field=models.IntegerField(blank=True, null=True, verbose_name='Année de cotisation'),
        ),
        migrations.AlterField(
            model_name='integrationstep',
            name='actor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Actor', verbose_name='Acteur'),
        ),
        migrations.AlterField(
            model_name='integrationstep',
            name='adhliststep',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Inscrit sur liste Adh'),
        ),
        migrations.AlterField(
            model_name='integrationstep',
            name='adhspacestep',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Inscrit sur espace Adh'),
        ),
        migrations.AlterField(
            model_name='integrationstep',
            name='packagestep',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Colis accueil envoyé'),
        ),
        migrations.AlterField(
            model_name='integrationstep',
            name='regionalliststep',
            field=models.BooleanField(blank=True, default=False, null=True, verbose_name='Inscrit sur liste régional'),
        ),
        migrations.AlterField(
            model_name='paymentmethod',
            name='name',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='Mode de paiement'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='user',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='region',
            name='isocode',
            field=models.CharField(blank=True, max_length=6, null=True, verbose_name='code ISO'),
        ),
        migrations.AlterField(
            model_name='region',
            name='name',
            field=models.CharField(blank=True, max_length=30, null=True, verbose_name='Région'),
        ),
        migrations.AlterField(
            model_name='regionalnetwork',
            name='name',
            field=models.CharField(blank=True, max_length=250, null=True, verbose_name='Réseau régional'),
        ),
        migrations.AlterField(
            model_name='relatedactor',
            name='actor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Actor', verbose_name='Acteur'),
        ),
        migrations.AlterField(
            model_name='relatedactor',
            name='role',
            field=models.CharField(blank=True, choices=[('admin', 'Administrateur'), ('membre', 'Membre')], default='membre', max_length=50, null=True, verbose_name="Rôle de l'utilisateur"),
        ),
        migrations.AlterField(
            model_name='relatedactor',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='structcollege',
            name='name',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='Structure'),
        ),
        migrations.AlterField(
            model_name='structcollege',
            name='region',
            field=models.ForeignKey(blank=True, max_length=50, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Region', verbose_name='Région'),
        ),
    ]
